package com.langrsoft.bbtest.sampletests;

import java.util.*;
import com.langrsoft.bbtest.*;

public class SampleTest extends MicroTestGroup {
   private Vector list; 
   
   public SampleTest() {
      add(new MicroTest("passingUseOfAssertEquals") {
         public void run() {
            Assert.assertEquals(0, list.size());
         }
      });

      add(new MicroTest("failingExceptionExpectation") {
         public void run() {
            try {
               list.add(new Object());
               Assert.fail();
            }
            catch (IllegalArgumentException expected) {
            }
         }
      });

      add(new MicroTest("passing") {
         public void run() {
            Assert.assertTrue(list.isEmpty());
         }
      });
   }

   public void setUp() {
      list = new Vector();
   }
   
   public void tearDown() {
      list.clear();
   }
}
